# gdcm::SwapperDoOp Class Reference

`#include <gdcmSwapper.h>`

List of all members.

## Static Public Member Functions
template<typename T >
static T | Swap (T val)
template<typename T >
static void | SwapArray (T *array, unsigned int n)

## Member Function Documentation

template<typename T >

static T gdcm::SwapperDoOp::Swap | ( | T | val | ) | `[inline, static]`

Referenced by gdcm::Item::Read().

template<typename T >

static void gdcm::SwapperDoOp::SwapArray | ( | T * | array,
|  | unsigned int | n |
| ) |  |  | `[inline, static]`

The documentation for this class was generated from the following file:

- gdcmSwapper.h